<!DOCTYPE html>
<html lang="cs">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Instalace samopodepsaného certifikátu</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Instalace samopodepsaného certifikátu</h1>
		<p>Pro použití této aplikace je třeba nainstalovat samopodepsaný SSL certifikát.</p>

		<section on-platform="win">
			<h2>Pokyny pro Windows</h2>
			<ol>
				<li>Dvakrát klikněte na soubor <a href="#server.cert">server.cert</a>, čímž otevřete průvodce instalací certifikátu.</li>
				<li>Vyberte "Instalovat certifikát" a zvolte "Místní počítač".</li>
				<li>Vyberte "Umístit všechny certifikáty do následujícího úložiště" a zvolte "Důvěryhodné kořenové certifikační autority".</li>
				<li>Dokončete průvodce a potvrďte instalaci.</li>
				<li>Restartujte aplikaci nan•web</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Pokyny pro Mac</h2>
			<ol>
				<li>Otevřete aplikaci Přístup ke klíčům (Keychain Access).</li>
				<li>Přetáhněte soubor <a href="#server.cert">server.cert</a> do svazku klíčů "Systém".</li>
				<li>Najděte certifikát v seznamu <code>localhost</code>, dvakrát na něj klikněte a rozbalte sekci "Důvěryhodnost".</li>
				<li>Nastavte "Při používání tohoto certifikátu" na "Vždy důvěřovat".</li>
				<li>Restartujte aplikaci nan•web</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Pokyny pro Linux</h2>
			<ol>
				<li>Zkopírujte certifikát do adresáře <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Aktualizujte CA certifikáty:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Restartujte aplikaci nan•web</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
